Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owlx.examples.javaDemo.model.impl
Class DefaultCustomer_

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owlx.examples.javaDemo.model.impl.DefaultCustomer_

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, Visitable, Customer_, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  DefaultCustomer

    public class DefaultCustomer_

extends DefaultRDFIndividual
implements Customer_

Generated by Protege-OWL (http://protege.stanford.edu/plugins/owl). Source OWL Class: http://www.owl-ontologies.com/javaDemo.owl#Customer

Version:
  generated on Sat Feb 19 17:10:28 EST 2005
See Also:
  Serialized Form

Constructor Summary
`DefaultCustomer_()`
`DefaultCustomer_(OWLModel owlModel, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `addPurchases(Purchase newPurchases)`
`String` | `getFirstName()`
`RDFProperty` | `getFirstNameProperty()`
`String` | `getLastName()`
`RDFProperty` | `getLastNameProperty()`
`Collection` | `getPurchases()`
`RDFProperty` | `getPurchasesProperty()`
`int` | `getZipCode()`
`RDFProperty` | `getZipCodeProperty()`
`boolean` | `hasFirstName()`
`boolean` | `hasLastName()`
`boolean` | `hasPurchases()`
`boolean` | `hasZipCode()`
`Iterator` | `listPurchases()`
`void` | `removePurchases(Purchase oldPurchases)`
`void` | `setFirstName(String newFirstName)`
`void` | `setLastName(String newLastName)`
`void` | `setPurchases(Collection newPurchases)`
`void` | `setZipCode(int newZipCode)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`accept, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, equalsStructurally, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Constructor Detail

### DefaultCustomer_

    public DefaultCustomer_(OWLModel owlModel,
                            edu.stanford.smi.protege.model.FrameID id)

### DefaultCustomer_

    public DefaultCustomer_()

Method Detail

### getFirstName

    public String getFirstName()

  Specified by:
    `getFirstName` in interface `Customer_`

### getFirstNameProperty

    public RDFProperty getFirstNameProperty()

  Specified by:
    `getFirstNameProperty` in interface `Customer_`

### hasFirstName

    public boolean hasFirstName()

  Specified by:
    `hasFirstName` in interface `Customer_`

### setFirstName

    public void setFirstName(String newFirstName)

  Specified by:
    `setFirstName` in interface `Customer_`

### getLastName

    public String getLastName()

  Specified by:
    `getLastName` in interface `Customer_`

### getLastNameProperty

    public RDFProperty getLastNameProperty()

  Specified by:
    `getLastNameProperty` in interface `Customer_`

### hasLastName

    public boolean hasLastName()

  Specified by:
    `hasLastName` in interface `Customer_`

### setLastName

    public void setLastName(String newLastName)

  Specified by:
    `setLastName` in interface `Customer_`

### getPurchases

    public Collection getPurchases()

  Specified by:
    `getPurchases` in interface `Customer_`

### getPurchasesProperty

    public RDFProperty getPurchasesProperty()

  Specified by:
    `getPurchasesProperty` in interface `Customer_`

### hasPurchases

    public boolean hasPurchases()

  Specified by:
    `hasPurchases` in interface `Customer_`

### listPurchases

    public Iterator listPurchases()

  Specified by:
    `listPurchases` in interface `Customer_`

### addPurchases

    public void addPurchases(Purchase newPurchases)

  Specified by:
    `addPurchases` in interface `Customer_`

### removePurchases

    public void removePurchases(Purchase oldPurchases)

  Specified by:
    `removePurchases` in interface `Customer_`

### setPurchases

    public void setPurchases(Collection newPurchases)

  Specified by:
    `setPurchases` in interface `Customer_`

### getZipCode

    public int getZipCode()

  Specified by:
    `getZipCode` in interface `Customer_`

### getZipCodeProperty

    public RDFProperty getZipCodeProperty()

  Specified by:
    `getZipCodeProperty` in interface `Customer_`

### hasZipCode

    public boolean hasZipCode()

  Specified by:
    `hasZipCode` in interface `Customer_`

### setZipCode

    public void setZipCode(int newZipCode)

  Specified by:
    `setZipCode` in interface `Customer_`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.